Modify

Opened 9 years ago

Closed 9 years ago

#4215 closed defect (fixed)

/etc/init.d/olsrd doesn't handle Hna6 sections correctly

Reported by: dean@… Owned by: developers
Priority: normal Milestone: Kamikaze 8.09 RC1
Component: packages Version:
Keywords: Cc:

Description

/etc/init.d/olsrd expects to see a variable called 'prefix' however the variable in the file is netmask.

Fix is as follows.

--- olsr.orig Thu Oct 23 19:05:00 2008
+++ /etc/init.d/olsrd Thu Oct 23 18:58:49 2008
@@ -374,15 +374,15 @@

return 0

fi

  • config_get prefix "$cfg" prefix
  • if ! validate_olsrd_option "$prefix"; then
  • warning_invalid_value olsrd "$cfg" "prefix"
  • return 0
  • fi

-
+ config_get netmask "$cfg" netmask
+ if ! validate_olsrd_option "$netmask"; then
+ warning_invalid_value olsrd "$cfg" "netmask"
+ return 0
+ fi
+

[ "$HNA6_COUNT" -le 0 ] && echo -n "${N}Hna6${N}{"

  • echo -n "${N}${T}$netaddr $prefix"
  • HNA6_COUNT=$((HNA6_COUNT + 1))

+ echo -n "${N}${T}$netaddr $netmask"
+ HNA6_COUNT=$((HNA6_COUNT + 1))

return 0

}

Attachments (0)

Change History (2)

comment:1 Changed 9 years ago by andrew@…

The better approach would be to change the lua web interface stuff to use "prefix" instead of "netmask" since that is more correct for IPv6.

comment:2 Changed 9 years ago by jow

  • Resolution set to fixed
  • Status changed from new to closed

The upcoming version of the lua webinterface stuff, scheduled for rc2, will contain a fix for that - it's already in svn.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.